This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 750116 - gpk-update-viewer Details widget is not resizable [NEEDINFO]
gpk-update-viewer Details widget is not resizable
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Regression, Reopened
: 816090 836364 908313 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-30 23:39 EDT by Jens Petersen
Modified: 2015-07-15 11:13 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-28 16:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
brian: needinfo? (mclasen)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 666635 None None None Never

  None (edit)
Description Jens Petersen 2011-10-30 23:39:50 EDT
Description of problem:
The Details section in the updates program for gnome is too small.
Could you please make it resizable and remember the size?

Version-Release number of selected component (if applicable):
3.2.1

Steps to Reproduce:
1. Run gnome-packagekit
2. Read details about updates
  
Actual results:
Details section can't be resized and typically too
small to show full details about update.

Expected results:
Should be able to resize the size of the Details.

Additional info:
This is a regression compared to F15.
Comment 1 Benny 2011-11-20 16:56:41 EST
Same here. This is very annoying.
Comment 2 collura 2012-03-30 21:27:31 EDT
it is still annoying as of 

  gnome-packagekit-3.4.0-1.fc17.x86_64

;')
Comment 3 Eric Hopper 2012-04-14 13:33:23 EDT
I like going through the details section of every package I update to get an idea of what the update does. This problem with the details section makes this much harder to do and I end up missing things, sometimes things that are kind of important.
Comment 4 Jesse Kahtava 2012-06-01 17:08:30 EDT
Still exists in 3.4.2. Still annoying.
Comment 5 Eric Hopper 2012-06-03 08:22:33 EDT
It's way more than just annoying. It's actively dangerous.

For example I had to go through an amazing amount of effort to figure out what was wrong with the python-crypto package. The description is so long that the scrollbar is basically useless in that tiny window and you have to change focus to the window and use the arrow keys to move down by lines. But that description tells you the incredibly important and useful detail that all the El Gamal keys you may have previously generated might be broken and gives you a URL to a launchpad bug report that describes exactly how (and it's pretty serious though I don't expect too many people use python-crypto to generate El Gamal keys).

Given that the only way for an end user to get this kind of update data is this really poorly done interface, I would think that it represents a security problem for it to be so difficult and clunky if you actually care what the data says.
Comment 6 fheub 2012-10-11 05:41:31 EDT
At least, there is a bug filed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=666635
Comment 7 Fedora End Of Life 2013-01-16 08:42:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Eric Hopper 2013-01-16 13:43:30 EST
I too have verified that this is still an issue for Fedora 18.
Comment 9 Russell Harrison 2013-01-17 10:28:32 EST
(In reply to comment #8)
> I too have verified that this is still an issue for Fedora 18.

As this bug doesn't seem to be getting any love upstream would it be possible to get a patch in the Fedora package?
Comment 10 collura 2013-02-28 03:16:21 EST
the current list of duplicate/related 'Details window too small to use' bugs: 

  https://bugzilla.redhat.com/show_bug.cgi?id=750116 (this bug) (fc18)
  https://bugzilla.redhat.com/show_bug.cgi?id=816090 (fc17)
  https://bugzilla.redhat.com/show_bug.cgi?id=836364 (fc17)
  https://bugzilla.redhat.com/show_bug.cgi?id=908313 (fc18)
Comment 11 Jens Petersen 2013-04-18 02:42:11 EDT
Still happening for F19 :-(

Is this ever going to get fixed?
How hard would it be to add a movable separator at least?
Comment 12 Michael Catanzaro 2013-06-23 17:10:55 EDT
This has been fixed in openSUSE for over a year and a half.  The patch is one line long and is attached to the upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=666635

I would love to see it applied in Fedora.
Comment 13 Michael Catanzaro 2013-07-16 00:36:56 EDT
Applied upstream. The pane is not yet resizable so I wouldn't close this bug yet, but it should be a more reasonable size now.

Jens, could you close the three bugs in the comment above as duplicates of this one?
Comment 14 Jens Petersen 2013-07-17 02:48:22 EDT
*** Bug 816090 has been marked as a duplicate of this bug. ***
Comment 15 Jens Petersen 2013-07-17 02:48:55 EDT
*** Bug 836364 has been marked as a duplicate of this bug. ***
Comment 16 Jens Petersen 2013-07-17 02:49:25 EDT
*** Bug 908313 has been marked as a duplicate of this bug. ***
Comment 17 Sylvain Petreolle 2013-10-15 12:38:01 EDT
What is the status of this ?
We are at risk when applying updates without knowing what they do.
Comment 18 techtonik 2013-11-11 09:49:42 EST
The status:

1. Upstream committed a workaround - increased height
https://bugzilla.gnome.org/show_bug.cgi?id=666635#c12
direct link to commit
https://git.gnome.org/browse/gnome-packagekit/commit/?h=gnome-3-8&id=baf177fa0f69c16f3db92af16a7865dbb0d81428

2. It is not yet clear if there will be upstream release (3.8.3) to make this fix available for current stable.

3. It seems that this doesn't make details pane resizable, so before waiting for F20 it will be nice to see if increased size works, especially on narrow notebook screens.
Comment 19 Jens Petersen 2015-01-08 00:48:21 EST
F19 was still on 3.8.2.

F20+ uses gnome-software.

Though gnome-software on F20 also seems to have a size problem for me
on small screen (eg kvm 1024x786 guests). ;-)  F21 looks okay.
Comment 20 Fedora End Of Life 2015-01-09 17:25:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Brian J. Murrell 2015-01-10 09:52:26 EST
This is still a problem on F21.  Can we please have the Version: updated?  Thanks.
Comment 22 Matthias Clasen 2015-05-28 16:18:42 EDT
This was fixed a while ago.
Comment 23 Brian J. Murrell 2015-05-29 07:11:13 EDT
@Matthias: Per comment #13, it was not in fact.  A hack to make it bigger was put in but the area is not yet resizable per the request in Description.

Please reopen this bug so that it can be made resizable.  Thanks.
Comment 24 Brian J. Murrell 2015-06-02 11:57:08 EDT
@Matthias (or anyone with permission to reopen): Please see comment #23.
Comment 25 James (purpleidea) 2015-06-02 13:24:42 EDT
(In reply to Brian J. Murrell from comment #24)
> @Matthias (or anyone with permission to reopen): Please see comment #23.

reopened...
Comment 26 Jan Kurik 2015-07-15 11:13:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.